Name:		logiops
Version:	0.3.5
Release:	%mkrel 1
Summary:	Unofficial driver for Logitech mice and keyboard
Group:		System/Kernel and hardware

License:	GPLv3
URL:		https://github.com/PixlOne/logiops
Source0:	https://github.com/PixlOne/logiops/releases/download/v%{version}/%{name}-v%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libconfig)
BuildRequires:	pkgconfig(libevdev)
BuildRequires:	pkgconfig(libudev)
BuildRequires:	pkgconfig(libsystemd)

%description
This is an unofficial driver for Logitech mice and keyboard.

This is currently only compatible with HID++ >2.0 devices.

%prep
%autosetup -n %{name}-v%{version}

%build
%cmake
%cmake_build

%install
%cmake_install

%post
%systemd_post logid.service

%preun
%systemd_preun logid.service

%postun
%systemd_postun_with_restart logid.service

%files
%doc logid.example.cfg README.md TESTED.md
%license LICENSE
%{_bindir}/logid
%{_unitdir}/logid.service
%{_datadir}/dbus-1/system.d/pizza.pixl.LogiOps.conf


%changelog
* Tue Feb 11 2025 daviddavid <daviddavid> 0.3.5-1.mga10
+ Revision: 2147040
- new version: 0.3.5

* Tue Feb 11 2025 ns80 <ns80> 0.2.4-1.mga10
+ Revision: 2147010
- new version 0.2.4

* Thu Mar 24 2022 umeabot <umeabot> 0.2.3-2.mga9
+ Revision: 1825227
- Mageia 9 Mass Rebuild

* Fri Mar 11 2022 danf <danf> 0.2.3-1.mga9
+ Revision: 1790486
- Update to ver. 0.2.3
- this fixes a compile problem with gcc 12

* Wed Oct 28 2020 sander85 <sander85> 0.2.2-1.mga8
+ Revision: 1640315
- Import from Fedora

